package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_teacher_correct_record")
public class SconTeacherCorrectRecord extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 作业图片id
     */
    private String homeworkPictureId;
    /**
     * 批改后的作业图片的路径
     */
    private String corrected_picture_url;
    /**
     * 创建时间
     */
    private Date createTime;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }
    @Column( updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getCorrected_picture_url() {
        return corrected_picture_url;
    }

    public void setCorrected_picture_url(String corrected_picture_url) {
        this.corrected_picture_url = corrected_picture_url;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
